Page MenuHomePhabricator

Tests failed on Special:MathStatus
Open, MediumPublic

Description

Two tests failed on Special:MathStatus:

  • Comparing the generated SVG with the reference
  • Checking if the link to SVG image is correct

Verified in WMF wikis, I don't know if in other sites the tests result are correct.

Details

Related Gerrit Patches:
mediawiki/extensions/Math : masterUse RESTbase storage for MathML rendering
mediawiki/extensions/Math : masterUpdate reference images
mediawiki/extensions/Math : masterAllow SVG images with and without speech on Special:MathStatus
mediawiki/extensions/Math : masterResolve problems on SpecialPage:MathStatus

Event Timeline

Beta16 created this task.Sep 25 2015, 9:43 AM
Beta16 raised the priority of this task from to Needs Triage.
Beta16 updated the task description. (Show Details)
Beta16 added a project: Math.
Beta16 added a subscriber: Beta16.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2015, 9:43 AM

Change 245478 had a related patch set uploaded (by Physikerwelt):
Use RESTbase storage for MathML rendering

https://gerrit.wikimedia.org/r/245478

Change 250839 had a related patch set uploaded (by Physikerwelt):
Resolve problems on SpecialPage:MathStatus

https://gerrit.wikimedia.org/r/250839

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 9:57 PM
Physikerwelt triaged this task as Medium priority.
Physikerwelt set Security to None.
Physikerwelt added a project: good first task.
Physikerwelt raised the priority of this task from Medium to High.Nov 7 2015, 12:45 PM

so basically everyone can review this change, which is quite straight forward
https://gerrit.wikimedia.org/r/#/c/250839/2
I raise the priority... maybe this helps

Change 250839 merged by Mobrovac:
Resolve problems on SpecialPage:MathStatus

https://gerrit.wikimedia.org/r/250839

The test Comparing the generated SVG with the reference still failed

I'm not sure if the change has been propagetd to production?

Currently in production:

  • MediaWiki 1.27.0-wmf.7 (ed03d6e) 20:53, 17 nov 2015
  • Math 2.0.0 (1c239d2) 22:16, 16 nov 2015

@Beta16: Thank you.
I see the difference

<title id="MathJax-SVG-1-Title">Equation</title>
<desc id="MathJax-SVG-1-Desc">a plus b</desc>

this is because the generation of descriptions for people with limited vision is disabled in production.
To solve that there are two options. We can enable this feature in production, or remove it from the reference SVG image.
@mobrovac: What do you think?

@Physikerwelt, are you referring to speakText? The difference you posted shouldn't be present at all in the production. Here's what I get locally for a simple formula with and without speakText enabled:

--- no-speak.svg	2015-11-23 13:02:46.628768711 +0100
+++ do-speak.svg	2015-11-23 13:03:25.320925267 +0100
@@ -1,11 +1,13 @@
 <?xml version="1.0"?>
-<svg xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" style="vertical-align: -0.338ex;" width="4.13ex" height="2.676ex" viewBox="0 -1006.6 1778.1 1152.1">
-  <defs>
+<svg xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg" style="vertical-align: -0.338ex;" width="4.13ex" height="2.676ex" viewBox="0 -1006.6 1778.1 1152.1" role="math" aria-labelledby="MathJax-SVG-1-Title MathJax-SVG-1-Desc">
+  <title id="MathJax-SVG-1-Title">Equation</title>
+  <desc id="MathJax-SVG-1-Desc">m c squared</desc>
+  <defs aria-hidden="true">
     <path stroke-width="10" id="E1-MJMATHI-6D" d="M21 287Q22 293 24 303T36 341T56 388T88 425T132 442T175 435T205 417T221 395T229 376L231 369Q231 367 232 367L243 378Q303 442 384 442Q401 442 415 440T441 433T460 423T475 411T485 398T493 385T497 373T500 364T502 357L510 367Q573 442 659 442Q713 442 746 415T780 336Q780 285 742 178T704 50Q705 36 709 31T724 26Q752 26 776 56T815 138Q818 149 821 151T837 153Q857 153 857 145Q857 144 853 130Q845 101 831 73T785 17T716 -10Q669 -10 648 17T627 73Q627 92 663 193T700 345Q700 404 656 404H651Q565 404 506 303L499 291L466 157Q433 26 428 16Q415 -11 385 -11Q372 -11 364 -4T353 8T350 18Q350 29 384 161L420 307Q423 322 423 345Q423 404 379 404H374Q288 404 229 303L222 291L189 157Q156 26 151 16Q138 -11 108 -11Q95 -11 87 -5T76 7T74 17Q74 30 112 181Q151 335 151 342Q154 357 154 369Q154 405 129 405Q107 405 92 377T69 316T57 280Q55 278 41 278H27Q21 284 21 287Z"/>
     <path stroke-width="10" id="E1-MJMATHI-63" d="M34 159Q34 268 120 355T306 442Q362 442 394 418T427 355Q427 326 408 306T360 285Q341 285 330 295T319 325T330 359T352 380T366 386H367Q367 388 361 392T340 400T306 404Q276 404 249 390Q228 381 206 359Q162 315 142 235T121 119Q121 73 147 50Q169 26 205 26H209Q321 26 394 111Q403 121 406 121Q410 121 419 112T429 98T420 83T391 55T346 25T282 0T202 -11Q127 -11 81 37T34 159Z"/>
     <path stroke-width="10" id="E1-MJMAIN-32" d="M109 429Q82 429 66 447T50 491Q50 562 103 614T235 666Q326 666 387 610T449 465Q449 422 429 383T381 315T301 241Q265 210 201 149L142 93L218 92Q375 92 385 97Q392 99 409 186V189H449V186Q448 183 436 95T421 3V0H50V19V31Q50 38 56 46T86 81Q115 113 136 137Q145 147 170 174T204 211T233 244T261 278T284 308T305 340T320 369T333 401T340 431T343 464Q343 527 309 573T212 619Q179 619 154 602T119 569T109 550Q109 549 114 549Q132 549 151 535T170 489Q170 464 154 447T109 429Z"/>
   </defs>
-  <g stroke="currentColor" fill="currentColor" stroke-width="0" transform="matrix(1 0 0 -1 0 0)">
+  <g stroke="currentColor" fill="currentColor" stroke-width="0" transform="matrix(1 0 0 -1 0 0)" aria-hidden="true">
     <use xlink:href="#E1-MJMATHI-6D" x="0" y="0"/>
     <g transform="translate(883,0)">
       <use xlink:href="#E1-MJMATHI-63" x="0" y="0"/>

@mobrovac: Yes I was referring to speakText.
The reference SVG
https://gerrit.wikimedia.org/r/#/c/250839/3/images/reference.svg
was generated with my development instance that uses the vagrant config and thus had speakText switched on.

To solve that there are two options. We can enable this feature in production, or remove it from the reference SVG image.

In my personal opinion, speakText is a very useful feature and important for the accessibility.
It should be activated in production.

Has anyone objects to enable the speakText generated by the speechRule engine?
Ping: @Pkra, @GWicke, @Jdforrester-WMF, @siebrand, @Tchanders

I just noticed this on the Special:MathStatus page. @Physikerwelt, I think you need to need to create a task requesting that speakText should be enabled.

Prod added a subscriber: Prod.Jan 16 2016, 8:49 PM

This is still a problem. cf https://en.wikipedia.org/wiki/Special:MathStatus Maybe just allow both versions, with and without speech output?

Change 282175 had a related patch set uploaded (by Physikerwelt):
Allow SVG images with and without speech on Special:MathStatus

https://gerrit.wikimedia.org/r/282175

Change 282175 merged by Mobrovac:
Allow SVG images with and without speech on Special:MathStatus

https://gerrit.wikimedia.org/r/282175

The test for "Comparing the generated SVG with the reference" is still in error.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 9 2016, 12:33 PM
jayvdb added a subscriber: jayvdb.Jul 1 2016, 1:41 AM

Has this feature always been disabled on WMF wikis?
Is it enabled on another public wiki?

Change 315114 had a related patch set uploaded (by Physikerwelt):
Update reference images

https://gerrit.wikimedia.org/r/315114

Change 315114 merged by jenkins-bot:
Update reference images

https://gerrit.wikimedia.org/r/315114

@mobrovac the svg error is still present. Do you have any suggestions how to proceed here? Maybe we should make the comparison with the reference svg less strict?

Change 245478 abandoned by Physikerwelt:
Use RESTbase storage for MathML rendering

https://gerrit.wikimedia.org/r/245478

@Physikerwelt where is the reference SVG coming from? Maybe we ought to update it?

It's coming from here. https://github.com/wikimedia/mediawiki-extensions-Math/tree/master/images However, the image seems to differ in the tests from the production mode.

Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:35 PM
Physikerwelt removed Physikerwelt as the assignee of this task.Dec 2 2018, 4:31 PM
Physikerwelt lowered the priority of this task from High to Medium.
Physikerwelt added a subscriber: Physikerwelt.
Pkra moved this task from Incoming to MediaWiki interaction on the Math board.Dec 10 2018, 8:39 PM